package eu.jonahbauer.wizard.common.messages.server;

import eu.jonahbauer.wizard.common.messages.data.SessionData;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.NonNull;
import lombok.RequiredArgsConstructor;

@Getter
@RequiredArgsConstructor
@EqualsAndHashCode(callSuper = true)
public sealed class SessionModifiedMessage extends ServerMessage permits SessionCreatedMessage {
    /**
     * The created session
     */
    private final @NonNull SessionData session;
}
